Bug 299571 - perl bash_completion doesn't complete on filenames past the first argument
perl bash_completion doesn't complete on filenames past the first argument
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bash-completion (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-20 21:36 EDT by Jim Radford
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 20060301-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-22 03:44:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix perl filename completion (330 bytes, patch)
2007-09-20 21:36 EDT, Jim Radford
no flags Details | Diff

  None (edit)
Description Jim Radford 2007-09-20 21:36:34 EDT
Type this

  perl /etc/bash_com<tab>

and it completes.  Then type

  perl /etc/bash_completion /etc/bash_com<tab>

and it doesn't complete.   Essentially the completion only looks for options
after the first argument.  With the attached patch[1] it will complete filenames
as well as options after the first argument!  Without this patch perl completion
is essentially useless.  The default bash completion would be better.

[1] http://use.perl.org/~Alias/journal/33508
Comment 1 Jim Radford 2007-09-20 21:36:34 EDT
Created attachment 201581 [details]
Patch to fix perl filename completion
Comment 2 Ville Skyttä 2007-09-22 03:44:45 EDT
Thanks, applied in 20060301-6.fc8.

Note You need to log in before you can comment on or make changes to this bug.